{VERSION 1 1 "MS-Windows" "1.0"}{GLOBALS 1 2}{FONT 0 "Courier New
" "Courier New" "Times-Roman" 4 10 64 "Times-Roman" 10{COLOR "fff
fff"}}{FONT 1 "Times New Roman" "Times New Roman" "Times-Roman" 4
 12 64 "Times-Roman" 12{COLOR "00ff00"}}{FONT 2 "Courier New" "Co
urier New" "Courier" 4 11 192 "Courier" 11{COLOR "ffff00"}}{SCP_R
 0 0 47{SCP_R 1 0 5{COM_R 3 0{TEXT 1 97 "This Maple worksheet dem
onstrates the use and capabilities of Syrup, a symbolic circuit a
nalyzer."}}{COM_R 6 0{TEXT 1 76 "________________________________
____________________________________________"}}{COM_R 9 0{TEXT 1 
27 "Example 1. Resistor Divider"}}{COM_R 12 0{TEXT 1 0 ""}}{COM_R
 15 0{TEXT 1 68 "Analyzing this simple circuit illustrates the ba
sics of using Syrup."}}}{SCP_R 17 0 1{OUT_R 19 0 0{TEXT 2 1 "\012
"}}}{SCP_R 21 0 2{INP_R 23 0 "> "{TEXT 0 15 "readlib(syrup):"}}
{OUT_R 26 0 23{TEXT 2 1 "\012"}}}{SCP_R 28 0 1{COM_R 30 0{TEXT 1 
325 "First, create the circuit deck. Syrup can read an external f
ile in \"standard\" SPICE format, however, for convenience in thi
s tutorial all circuits will be entered as TEXT structures. To se
e how the file looks without the backquotes and commas, evaluate \+
the TEXT structure, Maple V release 3 pop ups a window showing th
e file."}}}{SCP_R 32 0 7{INP_R 34 0 "> "{TEXT 0 16 "divider := TE
XT("}}{INP_R 37 0 "> "{TEXT 0 19 "`Resistor Divider`,"}}{INP_R 40
 0 "> "{TEXT 0 9 "`V  1 0`,"}}{INP_R 43 0 "> "{TEXT 0 9 "`R1 1 2`
,"}}{INP_R 46 0 "> "{TEXT 0 9 "`R2 2 0`,"}}{INP_R 49 0 "> "{TEXT 
0 11 "`.end`): \";"}}{OUT_R 52 0 49{TEXT 2 1 "\012"}}}{SCP_R 54 0
 2{COM_R 56 0{TEXT 1 408 "As with SPICE, the first line is the ti
tle which is ignored. Notice that none of the elements have been \+
assigned values; SPICE would complain, Syrup uses the name of an \+
element as the default value, the exception being the controlled \+
sources which by SPICE convention have a default value of 1. Now \+
run Syrup, specify a dc analysis and add an optional parameter wh
ich will be assigned the elements' currents."}}{OUT_R 59 0 0{TEXT
 2 1 "\012"}}}{SCP_R 61 0 3{INP_R 63 0 "> "{TEXT 0 27 "syrup(divi
der, dc, 'curr');"}}{OUT_R 66 8192 63{DAG nC\`Analyzing~`Spice~`D
eck:~`~`Resistor~`Divider`}}{OUT_R 69 8192 63{DAG %2,3=3n3\`v1`n3
\`V`=3n3\`v2`*7+5n3\`R2`j2x0001n3\`R1`pEi2x0001p5pEpCpE}}}{SCP_R 
71 0 2{COM_R 73 0{TEXT 1 120 "Syrup returns the voltages of the t
wo circuit nodes as equations, the syntax is v<node> = <value>. L
ook at the currents."}}{OUT_R 76 0 0{TEXT 2 1 "\012"}}}{SCP_R 78 
0 2{INP_R 80 0 "> "{TEXT 0 5 "curr;"}}{OUT_R 83 8192 80{DAG %2,4=
3n3\`iV`+3*5+5n3\`R2`j2x0001n3\`R1`pAi2x0001n3\`V`pApF=3n3\`iR1`*
5+5p11pA*7p7pFp11pAp8pApFpApCpF=3n3\`iR2`p6}}}{SCP_R 85 0 1{COM_R
 87 0{TEXT 1 105 "The currents are also returned as equations, th
e syntax is similar to the voltages, i<element> = <value>."}}}
{SCP_R 89 0 4{COM_R 91 0{TEXT 1 76 "_____________________________
_______________________________________________"}}{COM_R 94 0
{TEXT 1 28 "Example 2. Wheatstone Bridge"}}{COM_R 97 0{TEXT 1 0 "
"}}{COM_R 100 0{TEXT 1 436 "The Wheatstone bridge, a classical el
ectrical engineering circuit, has been used [1] to illustrate the
 use of Maple to solve an electric circuit. This example shows ho
w Syrup simplifies the analysis by eliminating the manual formula
tion of the equations. Notice that in the following circuit descr
iption, node names are not limited to integers, any unassigned Ma
ple name is acceptable. The 0 node, as with SPICE, is reserved fo
r ground."}}}{SCP_R 102 0 10{INP_R 104 0 "> "{TEXT 0 15 "bridge :
= TEXT("}}{INP_R 107 0 "> "{TEXT 0 20 "`Wheatstone Bridge`,"}}
{INP_R 110 0 "> "{TEXT 0 9 "`V  a 0`,"}}{INP_R 113 0 "> "{TEXT 0 
9 "`R1 a b`,"}}{INP_R 116 0 "> "{TEXT 0 9 "`R2 a c`,"}}{INP_R 119
 0 "> "{TEXT 0 9 "`R3 b 0`,"}}{INP_R 122 0 "> "{TEXT 0 9 "`R4 c 0
`,"}}{INP_R 125 0 "> "{TEXT 0 9 "`R5 b c`,"}}{INP_R 128 0 "> "
{TEXT 0 8 "`.end`):"}}{OUT_R 131 0 128{TEXT 2 1 "\012"}}}{SCP_R 
133 0 2{INP_R 135 0 "> "{TEXT 0 26 "syrup(bridge, dc, 'curr'):"}}
{OUT_R 138 8192 135{DAG nD\`Analyzing~`Spice~`Deck:~`~`Wheatstone
~`Bridge`}}}{SCP_R 140 0 4{COM_R 142 0{TEXT 1 178 "We want to det
ermine the value of R4 which makes the current through R5 zero.  \+
Once way to solve this problem is to assign the set of current eq
uations and then solve iR5 for R4."}}{INP_R 145 0 "> "{TEXT 0 13 
"assign(curr):"}}{INP_R 148 0 "> "{TEXT 0 17 "solve(iR5, \{R4\});
"}}{OUT_R 151 8192 148{DAG %2,2=3n3\`R4`*7n3\`R2`j2x0001n3\`R3`p8
n3\`R1`i2x0001}}}{SCP_R 153 0 18{COM_R 155 0{TEXT 1 29 "which is \+
the result expected."}}{COM_R 158 0{TEXT 1 76 "__________________
__________________________________________________________"}}
{COM_R 161 0{TEXT 1 28 "Example 3. Capacitor Network"}}{COM_R 164
 0{TEXT 1 0 ""}}{COM_R 167 0{TEXT 1 598 "A popular SPICE tutorial
 [2] gives, as an exercise, a rather impressive looking network o
f capacitors and asks the reader to determine the effective capac
itance between node 1 and ground.  The method suggested, which si
mulates one once used in the lab, is to add a series inductor wit
h a voltage source, locate the resonant frequency by performing a
n ac analysis, and then determine the capacitance by using the re
lation omega_0 = 1/L/Ceff where omega_0 is the natural frequency \+
at resonance. Let's use the same method with Syrup. [There are be
tter ways of doing this than creating a tank circuit.]"}}{INP_R 
170 0 "> "{TEXT 0 15 "capnet := TEXT("}}{INP_R 173 0 "> "{TEXT 0 
20 "`Capacitor Network`,"}}{INP_R 176 0 "> "{TEXT 0 11 "`V  a 0 1
`,"}}{INP_R 179 0 "> "{TEXT 0 9 "`L  a 1`,"}}{INP_R 182 0 "> "
{TEXT 0 13 "`C1 1 3 2uF`,"}}{INP_R 185 0 "> "{TEXT 0 13 "`C2 1 2 \+
3uF`,"}}{INP_R 188 0 "> "{TEXT 0 13 "`C3 2 3 1uF`,"}}{INP_R 191 0
 "> "{TEXT 0 15 "`C4 2 4 1.5uF`,"}}{INP_R 194 0 "> "{TEXT 0 15 "`
C5 3 4 2.5uF`,"}}{INP_R 197 0 "> "{TEXT 0 15 "`C6 3 0 3.5uF`,"}}
{INP_R 200 0 "> "{TEXT 0 15 "`C7 4 0 0.5uF`,"}}{INP_R 203 0 "> "
{TEXT 0 8 "`.end`):"}}{OUT_R 206 0 203{TEXT 2 1 "\012"}}}{SCP_R 
208 0 2{COM_R 210 0{TEXT 1 405 "This circuit would not be a valid
 SPICE deck because SPICE requires a dc path to ground at every n
ode; Syrup handles the analysis correctly. This behavior is usefu
l but also imposes a certain rigor on the user; Syrup does not no
t complain if elements are left dangling. A simple test for this \+
condition is to include an optional current parameter and check i
f any elements have currents identical to zero."}}{COM_R 213 0
{TEXT 1 27 "    Perform an ac analysis."}}}{SCP_R 215 0 2{INP_R 
217 0 "> "{TEXT 0 18 "syrup(capnet, ac):"}}{OUT_R 220 8192 217
{DAG nD\`Analyzing~`Spice~`Deck:~`~`Capacitor~`Network`}}}{SCP_R 
222 0 1{COM_R 224 0{TEXT 1 191 "Syrup uses s to indicate complex \+
frequency. Convert this to real frequency using the relation s = \+
I*omega, where I is the sqrt(-1). To pick off the voltage at node
 1, use the following trick,"}}}{SCP_R 226 0 2{INP_R 228 0 "> "
{TEXT 0 23 "subs(\", s=I*omega, v1);"}}{OUT_R 231 8192 228{DAG +3
*3+5*5n3\`L`j2x0001n4\`omega`j2x0002i2x2267j4x001249000000p6i2x00
01pF}}}{SCP_R 233 0 1{COM_R 235 0{TEXT 1 35 "At resonance, omega^
2 = 1/(L*Ceff)."}}}{SCP_R 237 0 2{INP_R 239 0 "> "{TEXT 0 28 "sub
s(omega^2 = 1/L/Ceff, \");"}}{OUT_R 242 8192 239{DAG +3*3+5*3n4\`
Ceff`i2x0001i2x2267j4x001249000000j2x0001p7pB}}}{SCP_R 244 0 1
{COM_R 246 0{TEXT 1 77 "Resonance occurs when the denominator goe
s to zero.  Solving for Ceff we get,"}}}{SCP_R 248 0 2{INP_R 250 
0 "> "{TEXT 0 22 "solve(denom(\"), Ceff);"}}{OUT_R 253 8192 250
{DAG /3j2x2267j4x001249000000}}}{SCP_R 255 0 1{COM_R 257 0{TEXT 1
 295 "In this example numeric values were assigned to most of the
 elements. To perform a symbolic analysis with a valid SPICE deck
, use the optional parameter 'symbolic', this causes Syrup to ign
ore any numeric values and use the default element value. Here's \+
the same analysis performed symbolically."}}}{SCP_R 259 0 7{INP_R
 261 0 "> "{TEXT 0 28 "syrup(capnet, ac, symbolic):"}}{INP_R 264 
0 "> "{TEXT 0 23 "subs(\", s=I*omega, v1):"}}{INP_R 267 0 "> "
{TEXT 0 35 "subs(omega^2 = 1/L/Ceff, denom(\")):"}}{INP_R 270 0 "
> "{TEXT 0 28 "solve(\", Ceff): simplify(\");"}}{OUT_R 273 0 270
{TEXT 2 59 "syrup:   Symbolic analysis, numeric values will be ig
nored\012"}}{OUT_R 276 8192 270{DAG nD\`Analyzing~`Spice~`Deck:~`
~`Capacitor~`Network`}}{OUT_R 279 8192 270{DAG *5+2B*9n3\`C4`j2x0
001n3\`C1`p5n3\`C7`p5n3\`C5`p5p5*9p3p5n3\`C3`p5pAp5p7p5p5*9pAp5p3
p5n3\`C2`p5p7p5p5*9p3p5p21p5pAp5p14p5p5*9pAp5p3p5p21p5n3\`C6`p5p5
*9pAp5p3p5p21p5pDp5p5*9pAp5p21p5pDp5p7p5p5*9p14p5pDp5pAp5p7p5p5*9
pAp5p14p5p21p5pDp5p5*9p3p5pDp5p7p5p38p5p5*9p38p5p14p5pAp5p7p5p5*9
p38p5p21p5pAp5p14p5p5*9p38p5p21p5pAp5p7p5p5*9p38p5p3p5p14p5p7p5p5
*9p3p5p7p5pAp5p38p5p5*9p38p5p14p5p21p5pDp5p5*9p38p5p14p5pDp5p7p5p
5*9pDp5p3p5p21p5p38p5p5*9p38p5p21p5pDp5p7p5p5*9p38p5p3p5p21p5p7p5
p5*9p3p5p38p5p21p5p14p5p5p5+31*7p3p5p21p5pDp5p5*7p3p5p14p5p7p5p5*
7p3p5p21p5p7p5p5*7p3p5p21p5p14p5p5*7p3p5pAp5pDp5p5*7p3p5p14p5p38p
5p5*7p3p5pDp5p38p5p5*7p3p5pAp5p38p5p5*7p14p5p21p5pDp5p5*7p14p5pDp
5p7p5p5*7p14p5pAp5p38p5p5*7p14p5pAp5p7p5p5*7p21p5pDp5p7p5p5*7p21p
5pAp5pDp5p5*7p3p5p7p5pAp5p5*7pAp5p14p5pDp5p5*7p21p5pAp5p38p5p5*7p
21p5pDp5p38p5p5*7p3p5p21p5p38p5p5*7p21p5pAp5p14p5p5*7p3p5pAp5p14p
5p5*7p3p5pDp5p7p5p5*7p14p5pDp5p38p5p5*7p21p5pAp5p7p5p5i2x0001}}}
{SCP_R 281 0 16{COM_R 283 0{TEXT 1 76 "__________________________
__________________________________________________"}}{COM_R 286 0
{TEXT 1 30 "Example 4. Cascaded RC Circuit"}}{COM_R 289 0{TEXT 1 
0 ""}}{COM_R 292 0{TEXT 1 104 "The following circuit, a cascaded \+
RC filter, shows how Syrup handles subcircuits and transient anal
yses."}}{COM_R 295 0{TEXT 1 0 ""}}{INP_R 298 0 "> "{TEXT 0 15 "Du
alRC := TEXT("}}{INP_R 301 0 "> "{TEXT 0 18 "`Dual RC Circuit`,"}
}{INP_R 304 0 "> "{TEXT 0 9 "`V  1 0`,"}}{INP_R 307 0 "> "{TEXT 0
 12 "`X1 1 2 rc`,"}}{INP_R 310 0 "> "{TEXT 0 12 "`X2 2 3 rc`,"}}
{INP_R 313 0 "> "{TEXT 0 17 "`.subckt rc 1 2`,"}}{INP_R 316 0 "> \+
"{TEXT 0 8 "`R 1 2`,"}}{INP_R 319 0 "> "{TEXT 0 8 "`C 2 0`,"}}
{INP_R 322 0 "> "{TEXT 0 8 "`.ends`,"}}{INP_R 325 0 "> "{TEXT 0 8
 "`.end`):"}}{OUT_R 328 0 325{TEXT 2 1 "\012"}}}{SCP_R 330 0 3
{INP_R 332 0 "> "{TEXT 0 28 "syrup(DualRC, tran, 'curr');"}}
{OUT_R 335 8192 332{DAG nC\`Analyzing~`Spice~`Deck:~`~`Dual~`RC~`
Circuit`}}{OUT_R 338 8192 332{DAG ,3%2,5=3(3n4\`vX2.C`,2j2x0000p9
=3(3n4\`vX1.C`p8p9=3(3n4\`diff`,3(3p5,2n3\`t`p1C*7n3\`C`i2x0001+5
p19p22(3pEp1Bj2x0001p2An3\`R`p22=3(3p15,3p27p1C+3*7p20p22+7p27j2x
0002n3\`V`p22p19p22p2Ap2Dp22p22%2,3p19p27}}}{SCP_R 340 0 1{COM_R 
342 0{TEXT 1 796 "The name of an element in a subcircuit is refer
enced by prefixing the element's name with the name of the subcir
cuit call, separated by a \".\". Transient analyses use the the v
oltages across capacitors and currents through inductors as state
 variables. These elements may be assigned initial conditions usi
ng SPICE syntax; if initial conditions are not specified, as in t
his example, then they are assumed to be zero, this is different \+
than SPICE which uses the results of a dc analysis as the default
 initial conditions. The output of a transient analyses is a sequ
ence of two sets, the first gives the differential equations and \+
initial conditions, the second gives the state variables. This ou
tput can be passed directly to dsolve as shown below; the laplace
 option is used for fastest results."}}}{SCP_R 344 0 2{INP_R 346 
0 "> "{TEXT 0 18 "dsolve(\",laplace);"}}{OUT_R 349 8192 346{DAG %
2,3=3(3n4\`vX1.C`,2n3\`t`+7n3\`V`j2x0001*9pBpD(3n3\`exp`,2+3*7n3\
`C`i2x0001n3\`R`p1Ap8pD/3i2x0003j2x0002pD(3n4\`sinh`,2+3*9j2x0005
/3pDp24p18p1Ap1Cp1Ap8pDp30pDp2Ep30/3p1Ap2E*7pBpDp12pD(3n4\`cosh`p
2BpDp1A=3(3n4\`vX2.C`p7+7pBpDpF/3p22p2Ep40p1A}}}{SCP_R 351 0 1
{COM_R 353 0{TEXT 1 176 "Suppose we need to calculate the total e
nergy dissipated in the first resistor as the capacitors charge f
rom 0 to V. Substitute the previous results into the current equa
tions."}}}{SCP_R 355 0 2{INP_R 357 0 "> "{TEXT 0 13 "subs(\",curr
):"}}{OUT_R 360 0 357{TEXT 2 1 "\012"}}}{SCP_R 362 0 3{COM_R 364 
0{TEXT 1 41 "Pick off the current through the resistor"}}{INP_R 
367 0 "> "{TEXT 0 23 "iR := subs(\", `iX1.R`);"}}{OUT_R 370 8192 
367{DAG :3n3\`iR`*5+5*9n3\`V`j2x0001(3n3\`exp`,2+3*7n3\`C`i2x0001
n3\`R`p12n3\`t`p8/3i2x0003j2x0002p8(3n4\`sinh`,2+3*9j2x0005/3p8p1
Dp10p12p14p12p17p8p29p8p27p29/3p8p27*7p6p8pAp8(3n4\`cosh`p24p8p8p
8p14p12}}}{SCP_R 372 0 4{COM_R 374 0{TEXT 1 39 "Integrate the pow
er from 0 to infinity."}}{INP_R 377 0 "> "{TEXT 0 17 "assume(R>0,
 C>0):"}}{INP_R 380 0 "> "{TEXT 0 37 "Energy := R*int(iR^2, t=0..
infinity);"}}{OUT_R 383 8192 380{DAG :3n4\`Energy`+3*9n3\`V`j2x00
02n3\`C~~`j2x0001+5*3j2x0005/3pCp8pCj2x0003pCi2x0001+5pFpCi2x0003
pCp19/3i2x0010p16}}}{SCP_R 385 0 2{INP_R 387 0 "> "{TEXT 0 35 "En
ergy := normal(Energy, expanded);"}}{OUT_R 390 8192 387{DAG :3n4\
`Energy`+3*5n3\`V`j2x0002n3\`C~~`j2x0001/3j2x0005j2x0006}}}{SCP_R
 392 0 11{COM_R 394 0{TEXT 1 76 "________________________________
____________________________________________"}}{COM_R 397 0{TEXT 
1 37 "Example 5. Nonlinear Resistor Divider"}}{COM_R 400 0{TEXT 1
 0 ""}}{COM_R 403 0{TEXT 1 536 "Syrup allows any valid Maple expr
ession as a component value; node voltages and voltage source cur
rents can be included in these expressions. Using this method the
oretically allows one to model nonlinear components, however, doi
ng so greatly increases the chance that Maple will be unable to s
olve the circuit. Don't expect an ac analysis to be meaningful si
nce it implicitly assumes linear components. The following is an \+
example of a resistor divider with the top resistor's value propo
rtional to the square of the current through it."}}{INP_R 406 0 "
> "{TEXT 0 13 "test := TEXT("}}{INP_R 409 0 "> "{TEXT 0 15 "`Test
 Circuit`,"}}{INP_R 412 0 "> "{TEXT 0 8 "`V 1 0`,"}}{INP_R 415 0 
"> "{TEXT 0 16 "`R1 1 2 k*iV^2`,"}}{INP_R 418 0 "> "{TEXT 0 9 "`R
2 2 0`,"}}{INP_R 421 0 "> "{TEXT 0 8 "`.end`):"}}{OUT_R 424 0 421
{TEXT 2 1 "\012"}}}{SCP_R 426 0 3{INP_R 428 0 "> "{TEXT 0 16 "syr
up(test, dc);"}}{OUT_R 431 8192 428{DAG nB\`Analyzing~`Spice~`Dec
k:~`~`Test~`Circuit`}}{OUT_R 434 8192 428{DAG %2,3=3n3\`v2`+3*5(3
n4\`RootOf`,2+7n3\`V`j2x0001*5n3\`_Z`pFn3\`R2`pFpF*5n3\`k`pFp12j2
x0003pFpFp15pFi2x0001=3n3\`v1`pD}}}{SCP_R 436 0 18{COM_R 438 0
{TEXT 1 78 "_____________________________________________________
_________________________"}}{COM_R 441 0{TEXT 1 25 "Example 6. Se
miconductors"}}{COM_R 444 0{TEXT 1 0 ""}}{COM_R 447 0{TEXT 1 608 
"Syrup does not provide built-in models for semiconductors, rathe
r it uses subcircuits to define a semiconductors. Semiconductor s
ubcircuits are similar to normal subcircuits, the only difference
s are (1)semiconductor subcircuit definitions are not hierarchica
l, they may not contain subcircuit calls or semiconductors, (2)th
ey must be at the main level of the circuit. Semiconductor calls \+
may be included inside normal subcircuits. The following analysis
 determines the forward gain, hfe, of an npn transistor from the \+
Ebers-Moll model. Note how non-linear voltage sources are used to
 model the PN junctions."}}{COM_R 450 0{TEXT 1 0 ""}}{INP_R 453 0
 "> "{TEXT 0 16 "semicon := TEXT("}}{INP_R 456 0 "> "{TEXT 0 19 "
`Ebers-Moll Model`,"}}{INP_R 459 0 "> "{TEXT 0 10 "`Ib  0 2`,"}}
{INP_R 462 0 "> "{TEXT 0 16 "`Q   0 2 3 npn`,"}}{INP_R 465 0 "> "
{TEXT 0 10 "`Vcc 3 0`,"}}{INP_R 468 0 "> "{TEXT 0 20 "`.subckt np
n e b c`,"}}{INP_R 471 0 "> "{TEXT 0 27 "`Vbe b e Vt*ln(iVbe/Is+1
)`,"}}{INP_R 474 0 "> "{TEXT 0 27 "`Vbc b c Vt*ln(iVbc/Is+1)`,"}}
{INP_R 477 0 "> "{TEXT 0 17 "`Feb e b Vbc aR`,"}}{INP_R 480 0 "> \+
"{TEXT 0 17 "`Fcb c b Vbe aF`,"}}{INP_R 483 0 "> "{TEXT 0 8 "`.en
ds`,"}}{INP_R 486 0 "> "{TEXT 0 8 "`.end`):"}}{OUT_R 489 0 486
{TEXT 2 1 "\012"}}}{SCP_R 491 0 3{INP_R 493 0 "> "{TEXT 0 25 "syr
up(semicon,dc,'curr');"}}{OUT_R 496 8192 493{DAG nC\`Analyzing~`S
pice~`Deck:~`~`Ebers-Moll~`Model`}}{OUT_R 499 8192 493{DAG %2,3=3
n3\`v2`*5n3\`Vt`j2x0001(3n3\`ln`,2+3*9(3n3\`exp`,2*5n3\`Vcc`p8p6i
2x0001p8+9n3\`Ib`p8*5n3\`Is`p8n3\`aR`p8p19p21j2x0002*5n3\`aF`p8p2
1p8p19p8p21p19+9p24p8p19p8p10p19*5p10p8p2Cp8p8p19p19p8=3n3\`v3`p1
5}}}{SCP_R 501 0 2{INP_R 503 0 "> "{TEXT 0 23 "Ic := subs(curr,-i
Vcc);"}}{OUT_R 506 8192 503{DAG :3n3\`Ic`+3*5+Dn3\`Ib`i2x0001n3\`
Is`p8*5(3n3\`exp`,2*5n3\`Vcc`j2x0001n3\`Vt`p8p15pAp15p15*7n3\`aF`
p15pAp15n3\`aR`p15p15*7p6p15pEp15p1Fp15p15*9p1Fp15pEp15pAp15p24p1
5p8p15+9p24p15p8p15pEp8*5pEp15p1Fp15p15p8p8}}}{SCP_R 508 0 2
{INP_R 510 0 "> "{TEXT 0 19 "hfe := diff(Ic,Ib);"}}{OUT_R 513 
8192 510{DAG :3n3\`hfe`+3*5+5i2x0001j2x0001*5(3n3\`exp`,2*5n3\`Vc
c`p8n3\`Vt`p6p8n3\`aF`p8p8p8+9n3\`aR`p8p6p8pBp6pAp8p6p6}}}{SCP_R 
515 0 4{COM_R 517 0{TEXT 1 60 "For Vcc >> Vt, the usual case, the
 exponential goes to zero."}}{COM_R 520 0{TEXT 1 0 ""}}{INP_R 523
 0 "> "{TEXT 0 28 "subs(exp=0, hfe): 'hfe' = \";"}}{OUT_R 526 
8192 523{DAG =3n3\`hfe`*3+5n3\`aR`j2x0001i2x0001p7p9}}}{SCP_R 528
 0 1{COM_R 530 0{TEXT 1 29 "which is the expected result."}}}
{SCP_R 532 0 24{COM_R 534 0{TEXT 1 78 "__________________________
____________________________________________________"}}{COM_R 537
 0{TEXT 1 42 "Example 7. Biquad Filter Transfer Function"}}{COM_R
 540 0{TEXT 1 0 ""}}{COM_R 543 0{TEXT 1 232 "Syrup can be used to
 determine the transfer function of a circuit by performing an ac
 analysis. The following deck models an active bandpass filter, a
 biquad [3]. The op-amps are modeled as simple voltage controlled
 voltage sources."}}{INP_R 546 0 "> "{TEXT 0 15 "biquad := TEXT("
}}{INP_R 549 0 "> "{TEXT 0 16 "`Biquad Filter`,"}}{INP_R 552 0 ">
 "{TEXT 0 10 "`Vin 1 0`,"}}{INP_R 555 0 "> "{TEXT 0 10 "`Rg  1 2`
,"}}{INP_R 558 0 "> "{TEXT 0 14 "`X1  2 3 amp`,"}}{INP_R 561 0 ">
 "{TEXT 0 10 "`Cf2 2 3`,"}}{INP_R 564 0 "> "{TEXT 0 10 "`Rq  2 3`
,"}}{INP_R 567 0 "> "{TEXT 0 12 "`*Inverter`,"}}{INP_R 570 0 "> "
{TEXT 0 12 "`R1  3 4 1`,"}}{INP_R 573 0 "> "{TEXT 0 12 "`R2  4 5 \+
1`,"}}{INP_R 576 0 "> "{TEXT 0 14 "`X2  4 5 amp`,"}}{INP_R 579 0 
"> "{TEXT 0 10 "`Rf1 5 6`,"}}{INP_R 582 0 "> "{TEXT 0 10 "`Cf1 6 \+
7`,"}}{INP_R 585 0 "> "{TEXT 0 14 "`X3  6 7 amp`,"}}{INP_R 588 0 
"> "{TEXT 0 10 "`Rf2 7 2`,"}}{INP_R 591 0 "> "{TEXT 0 25 "`.subck
t amp negin vout`,"}}{INP_R 594 0 "> "{TEXT 0 23 "`E1 vout 0 negi
n 0 -A`,"}}{INP_R 597 0 "> "{TEXT 0 7 "`.end`,"}}{INP_R 600 0 "> \+
"{TEXT 0 8 "`.end`):"}}{OUT_R 603 0 600{TEXT 2 1 "\012"}}}{SCP_R 
605 0 2{INP_R 607 0 "> "{TEXT 0 18 "syrup(biquad, ac):"}}{OUT_R 
610 8192 607{DAG nC\`Analyzing~`Spice~`Deck:~`~`Biquad~`Filter`}}
}{SCP_R 612 0 4{COM_R 614 0{TEXT 1 117 "Node 3 is the output of t
he biquad. We are interested in the ideal case when the gain of t
he op amp goes to infinity."}}{INP_R 617 0 "> "{TEXT 0 21 "H := s
ubs(\", v3/Vin):"}}{INP_R 620 0 "> "{TEXT 0 21 "limit(\", A=infin
ity);"}}{OUT_R 623 8192 620{DAG +3*Fn3\`Rq`j2x0001n3\`Rf2`p4n3\`s
`p4n3\`Cf1`p4n3\`Rf1`p4n3\`Rg`i2x0001+7p2p4*9pFp4p9p4pCp4p6p4p4*D
p9j2x0002n3\`Cf2`p4p2p4p6p4pCp4pFp4p4p14p14}}}{SCP_R 625 0 1
{INP_R 627 0 "> "{TEXT 0 0 ""}}}{SCP_R 629 0 8{COM_R 631 0{TEXT 1
 28 "____________________________"}}{COM_R 634 0{TEXT 1 10 "Refer
ences"}}{COM_R 637 0{TEXT 1 0 ""}}{COM_R 640 0{TEXT 1 135 "[1] T.
C. Scott and M. Monagan: Maple in Education - Part II, Maple Tech
nical Newsletter, MTN-1,1: pp. 71-72, (Spring 1994), Birkhauser."
}}{COM_R 643 0{TEXT 1 0 ""}}{COM_R 646 0{TEXT 1 107 "[2] W. Banzh
af: \"Computer-Aided Circuit Analysis Using SPICE\", Prentice-Hal
l, New Jersey, pp. 74-75, (1989)"}}{COM_R 649 0{TEXT 1 0 ""}}
{COM_R 652 0{TEXT 1 99 "[3] D. Lancaster \"Active-Filter Cookbook
\", Howard W. Sams & Co., Indianapolis, pp. 159-164, (1975)."}}}}
{END}
